﻿Type=Service
Version=1.65
StartAtBoot=False
@EndOfDesignText@
'Service module generates 3 animations -- 2 spinning logos and a sprite animation

Sub Process_Globals
	Dim lwm As LWManager
	Dim x, y, vx, vy As Int
	Dim initialized As Boolean: initialized = False
	Dim boxSize As Int
	Dim smileyBitmap As Bitmap
	Dim smileyBitmap2 As Bitmap
	Dim smileyBitmap3 As Bitmap
	Dim smileyBitmap4 As Bitmap
	Dim backgroundColor As Int
	backgroundColor = 0xff777777'0xff79CDCD
	Dim Degrees As Int
	Dim Degrees2 As Int
	Dim Degrees3 As Int
	Dim Degrees4 As Int
	Dim pos As Int
	Dim s(5) As Rect
	Dim inc As Int
	Dim rs As Rect
	ScreenWidth=800
	ScreenHeight=480
End Sub
Sub Service_Create
	lwm.Initialize("lwm", True)
	lwm.StartTicking(500) 'Start the wallpaper timer (30 milliseconds).
	vx = 2dip 'smiley speed
	vy = 2dip
	boxSize = 80dip
	smileyBitmap.Initialize(File.DirAssets, "smiley4.png")
	
	smileyBitmap4.Initialize(File.DirAssets,"smiley5.png")'margarita glass sequence
		For ii = 0 To 4
		i = 0
			s(pos).Initialize(90 * ii, 90* i,90* (ii + 1),90* (i + 1)) 
			'the sprite sheet is 5 cols x 1 rows. The image is 450x90, so, the dest rect needs to read in 90x90 
			pos = pos + 1
		Next
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub

Sub lwm_SizeChanged (Engine As LWEngine)
	'Wallpaper size changed.
	If initialized = False Then
		initialized = True
		x = Engine.ScreenWidth / 2
		y = Engine.ScreenHeight / 2
	End If
	DrawBackground (Engine)
End Sub
Sub DrawBackground (Engine As LWEngine)
	Engine.Canvas.DrawColor(backgroundColor)
	Engine.RefreshAll
End Sub
Sub lwm_VisibilityChanged (Engine As LWEngine, Visible As Boolean)
	If Visible Then
		DrawBackground (Engine)
	End If
End Sub
Sub lwm_Tick (Engine As LWEngine)
	If x > Engine.ScreenWidth Then
		vx = -1 * Abs(vx)
	Else If x < boxSize Then
		vx = Abs(vx)
	End If
	If y  + boxSize > Engine.ScreenHeight Then
		vy = -1 * Abs(vy)
	Else If y < boxSize Then
		vy = Abs(vy)
	End If
	
	Engine.Canvas.DrawRect(Engine.Rect, backgroundColor, True, 1) 'Erase the previous animation
	
	
	x = x + vx
	y = y + vy
	Engine.Rect.Top = 0
	Engine.Rect.Left = 0
	Engine.Rect.Bottom = 200 '1st box is 0,200 height
	Engine.Rect.Right = 350 '1st box is 0,350 width
	Degrees = (Degrees + 1) 'alow spin
	Engine.Canvas.DrawBitmapRotated(SmileyBitmap, Null, Engine.Rect, Degrees) 'Draw the new animation
	Engine.Refresh(Engine.Rect)
	Engine.Canvas.DrawRect(Engine.Rect, backgroundColor, True, 1) 'Erase the previous animation
	Engine.Rect.Top = 250
	Engine.Rect.Left =0
	Engine.Rect.Bottom =450' 2nd box is 250,450 height
	Engine.Rect.Right = 350' 2nd box is 0, 350 width
	Degrees2 = ((Degrees2 + Degrees)) Mod 360'different spin
	Engine.Canvas.DrawBitmapRotated(SmileyBitmap, Null, Engine.Rect, Degrees2) 'Draw the new animation
	Engine.Refresh(Engine.Rect)	
	Engine.Canvas.DrawRect(Engine.Rect, backgroundColor, True, 1) 
	Engine.Rect.Top = 90
	Engine.Rect.Left = 500
	Engine.Rect.Bottom = 400' 3rd box is 90,450 height
	Engine.Rect.Right = 700' 3rd box is 500,700 width
	'Sprite animation code below
	Engine.Canvas.DrawBitmap(smileyBitmap4,s(inc),Engine.Rect)'margarita glass animation via sprite sheet
	
		inc = inc + 1
		If inc > 4 Then
			inc = 0
				
		End If
		
	Engine.Refresh(Engine.Rect)
	Engine.Canvas.DrawRect(Engine.Rect, backgroundColor, True, 1)
End Sub

